summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-06-10 22:33:31 +0200
committerMichał Górny <mgorny@gentoo.org>2021-06-11 01:13:15 +0200
commita79452f2b8628432e5ac33e4026f915856b0ec68 (patch)
tree2eafbebd2ed25c24ca14e5168cbf6da8627ebcb4
parentdev-python/google-auth: Bump to 1.31.0 (diff)
downloadgentoo-a79452f2b8628432e5ac33e4026f915856b0ec68.tar.gz
gentoo-a79452f2b8628432e5ac33e4026f915856b0ec68.tar.bz2
gentoo-a79452f2b8628432e5ac33e4026f915856b0ec68.zip
dev-python/ruamel-yaml: Bump to 0.17.9
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.9.ebuild50
2 files changed, 51 insertions, 0 deletions
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 461e33fe883..05523d26d63 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -3,3 +3,4 @@ DIST ruamel-yaml-0.17.4.tar.xz 178028 BLAKE2B 24c9f61cf8e158377ae839f73dcceab8fd
DIST ruamel-yaml-0.17.5.tar.xz 182484 BLAKE2B 8e06b08799a2b8ec8cd5a732e689dd8413bdb3afdc621fbedfc769fea9cee6b06b33434765dfff048840b4b25b5b9784db6b93e22336cc4306103e91b0269e6b SHA512 99c8ea0cfcd3877b9a17fc781e32302359b9e704f72dbb53ede17fd63a78cce7f670de36a35d3ce9bd64f604c14741fba74a2c6c422a5adf484bbe5a31d464b3
DIST ruamel-yaml-0.17.7.tar.xz 182984 BLAKE2B 54c196f07cabe7cc97e4e652cb1c66443461f1555e0feb002e7c02e725a094a468733bcb9423c3a6d7450d25ad508a6a7338a107f0b015b2bfb0c42a57d8957f SHA512 0e5c638ac69d41ac5ea4712a97a05a43ec947a6bf9890f7c29aac057ef554fe65b92370bec91eae2803fc83be6ad01f60668f3d81458aaef32871312a62a86b8
DIST ruamel-yaml-0.17.8.tar.xz 182988 BLAKE2B bd9f19eacac51bf5032738c8cd3da08d42ee109abf69442ab079a2d88267146d23d6facb6bc8683d4b78cff0577271574a7012799828a77ba23631b7b6af5b65 SHA512 69fdcffdb3b4cfb4b7933750b2f3a0ee2f44166c38a0cf3c5ba72bb14c1513ed28138435fecf8f23d72cb76b0489450403f726c5740ee9715f7d993f95438c0f
+DIST ruamel-yaml-0.17.9.tar.xz 183112 BLAKE2B 3dc33257435aa164724f8023c3bcd2f693c5dfbb4ac52467c821902819183e119f46e7dbcdab50216c019aa38a3d8fb94eb382c85edc0a08a278492ef53b2597 SHA512 dabc5540f68454d8abb46434bc91161ceb7bc613593c6aad79a4148c4526248d6053e356eb745e4cec7816885c1352f62d3c0a61d3d8a40315fd3ffb0e2f57ef
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.9.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.9.ebuild
new file mode 100644
index 00000000000..f1cb20246e0
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.9.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+
+inherit distutils-r1
+
+MY_PN="${PN//-/.}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/p/ruamel-yaml/"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz -> ${P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/namespace-ruamel[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+# Old PyYAML tests from lib/ require special set-up and are invoked indirectly
+# via test_z_olddata, tell pytest itself to leave the subdir alone.
+python_test() {
+ local deselect=()
+
+ [[ ${EPYTHON} == pypy3 ]] && deselect+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+
+ epytest --ignore _test/lib/ ${deselect[@]/#/--deselect }
+}
+
+python_install() {
+ distutils-r1_python_install --single-version-externally-managed
+ find "${ED}" -name '*.pth' -delete || die
+}